# Treffen 20.11.2018

* Ort: P90x IR-Lab
* Anwesende: alle
* Beginn 10:00 Uhr
* Ende 12:00 Uhr

## Agenda:

    * Rasa lokal zum laufen bringen
    * Daten sichten
    * Intents für Rasa sammeln
    * Ausblick


## Rasa zum Laufen bringen

    * Die Gruppenmitglieder testen eine Rasa-Version auf ihren Laptops

## Daten sichten

    * Der Bot soll für englische Sprache gebaut werden
    * Das Thema sind "Physiker"

    * Ziel: automatisiert Daten runterladen

### Akquise-Möglichkeit 1

    * Wikipedia export - eine person muss ganzen Wikipedia Dumb runterladen
        * Daraus nur die Physiker extrahieren und unter den Gruppenmitgliedern verteilen

### Akquise-Möglichkeit 2

    * https://en.wikipedia.org/wiki/Special:Export
        * David wird über diese Schnittstelle ein `xml` File zu grob 900 Physikern runterladen
        * Das XML ist bereits runtergeladen und in der Slack-Gruppe verfügbar

## Intents aufschreiben

    * Die Gruppe diskutiert über Intents
        * Was meinen wir mit dem was wir dem Bot sagen?
        * Was wollen wir von dem Bot als Antwort hören?

### Ein paar Ideen zu Intents

    * Jonas erstellt eine Datei im repo, in der Intents gespeichert werden sollen
        * In die Datei sollen die Gruppenmitglieder Beispiel-Intents reinschreiben
        * Dabei soll sich an die [Vorlage von Rasa](https://rasa.com/docs/nlu/dataformat/) gehalten werden

    * Eltern
    * Ausbildungsstelle
    * Lehrstuhl
    * Preise (Nobelpreis) bzw. Ehrungen
    * Forschungsschwerpunkte

### Die Gruppe sammelt gemeinsam Intents

    * die oben erwähnte Datei wird mit Intents am Beispiel `Albert Einstein` erstellt

## Ausblick

### Zu verteilende Aufgaben

    * Überprüfen, ob Rasa NLU die gesammelten Intents richtig erkennen kann
        * evtl auch mit mehr Beispielnahmen als nur Albert Einstein (Lukas)

    * Anschauen, wie man das XML in R reinbekommt und Wissen extrahieren kann oder das Dokument strukturieren kann (David, Leonard)
        * Ziel dabei: Wissensgrundlage erstellen

### Nächstes Treffen

    * 26.11. ab 17:00 Uhr in der neunten Etage


